PR_GET_FP_MODE(2const)

NAME
PR_GET_FP_MODE - get the floating point mode of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_FP_MODE);

DESCRIPTION
Return a bit mask which represents the current floating-point mode (see PR_SET_FP_MODE(2const) for details).

RETURN VALUE
On success, this call returns the nonnegative value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux. MIPS only.

HISTORY
Linux 4.0 (MIPS).

SEE ALSO
prctl(2), PR_GET_FP_MODE(2const)